Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations KootK on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

API- Question

Status
Not open for further replies.

Guest
hello all together,

i have a problem with the SolidWorks- API in Visual Basic.
I've written:

dim objPart as Object
dim objAnno as Object

Set objPart = objSwApp.ActivateDoc("3-0002000,Welle_m_Passfedernut.SLDPRT")

objAnno = objPart.GetFirstAnnotation2()

but there returns a failure. Can somebody tell me why?

Thank you, Marco

 
Replies continue below

Recommended for you

Do you have the part opened already? What error message do you get? Are their any Annotations on the part?
Code:
Public Const swDocPart = 1

Public swApp As Object
Public swPart As Object
Public swAnnotation As Object


Dim ModelPath As String
Dim sFileName As String

ModelPath = "C:\Temp\"
sFileName = "3-0002000,Welle_m_Passfedernut.SLDPRT"

Set swPart = swApp.OpenDoc(ModelPath & sFileName, swDocPart)
Set swPart = swApp.ActivateDoc(sFileName)

swAnnotation = swPart.GetFirstAnnotation2
DimensionalSolutions@Core.com
While I welcome e-mail messages, please post all thread activity in these forums for the benefit of all members.
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor